eID middleware |

# eIDMW::PTEID_ForeignerCard Class Reference

This class represents a Foreigner card which is a particular PTEID_EIDCard. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_ForeignerCard:

List of all members.

## Public Member Functions

virtual PTEIDSDK_API | ~PTEID_ForeignerCard ()
| Destructor.

## Friends

PTEID_Card & | PTEID_ReaderContext::getCard ()
| For internal use : This method must access protected constructor.

## Detailed Description

This class represents a Foreigner card which is a particular PTEID_EIDCard.

To get such an object you have to ask it from the ReaderContext.

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_ForeignerCard::~PTEID_ForeignerCard | ( |  | ) | `[virtual]`

Destructor.

## Friends And Related Function Documentation

PTEID_Card& PTEID_ReaderContext::getCard | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

Reimplemented from eIDMW::PTEID_EIDCard.

The documentation for this class was generated from the following file:

- eidlib.h